Bug 802753 - [abrt] gpodder-2.20.1-1.fc16: __lll_lock_wait: Process /usr/bin/python was killed by signal 6 (SIGABRT)
[abrt] gpodder-2.20.1-1.fc16: __lll_lock_wait: Process /usr/bin/python was ki...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:310f15f381c2ca700abdfe6da97...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 08:46 EDT by Terry Wallwork
Modified: 2013-02-13 09:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:03:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (12.70 KB, text/plain)
2012-03-13 08:46 EDT, Terry Wallwork
no flags Details
File: xsession_errors (25.62 KB, text/plain)
2012-03-13 08:46 EDT, Terry Wallwork
no flags Details
File: maps (55.31 KB, text/plain)
2012-03-13 08:46 EDT, Terry Wallwork
no flags Details
File: backtrace (84.14 KB, text/plain)
2012-03-13 08:46 EDT, Terry Wallwork
no flags Details

  None (edit)
Description Terry Wallwork 2012-03-13 08:46:42 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/gpodder
comment:        Closed down gpodder while it was in the middle of doing a check for new episodes
crash_function: __lll_lock_wait
executable:     /usr/bin/python
kernel:         3.2.9-1.fc16.x86_64
pid:            8749
pwd:            /home/terry
reason:         Process /usr/bin/python was killed by signal 6 (SIGABRT)
time:           Tue 13 Mar 2012 12:23:41 PM GMT
uid:            1000
username:       terry
var_log_messages: Mar 13 12:23:43 localhost abrt[9534]: Saved core dump of pid 8749 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-03-13-12:23:41-8749 (154701824 bytes)

backtrace:      Text file, 86164 bytes
dso_list:       Text file, 13003 bytes
maps:           Text file, 56641 bytes
xsession_errors: Text file, 26232 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1286
:XDG_SESSION_ID=1
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:SHELL=/bin/bash
:TERM=dumb
:XDG_SESSION_COOKIE=25f3ef2d3fa77feeed399b110000000d-1331449420.174400-225768691
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-IGpUna
:SYSFONT=latarcyrheb-sun16
:IMSETTINGS_MODULE=none
:USER=terry
:SSH_AUTH_SOCK=/tmp/ssh-qhxGxnIF1143/agent.1143
:DESKTOP_SESSION=LXDE
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/terry/.local/bin:/home/terry/bin
:MAIL=/var/spool/mail/terry
:QT_IM_MODULE=xim
:PWD=/home/terry
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1076
:LANG=en_US.UTF-8
:KEYTABLE=uk
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/terry
:SHLVL=1
:XDG_CONFIG_HOME=/home/terry/.config
:BOOT_IMAGE=/boot/vmlinuz-3.2.9-1.fc16.x86_64
:LOGNAME=terry
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-1QrqVzGDM9,guid=6acb7abacdfbbfb205950a3800000031
:PREFERRED=/usr/bin/startlxde
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:XDG_RUNTIME_DIR=/run/user/terry
:DISPLAY=:0
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/home/terry/.Xauthority
:_LXSESSION_PID=1143
:XDG_CURRENT_DESKTOP=LXDE

event_log:
:2012-03-13-12:25:50> Querying server settings
:2012-03-13-12:25:52  Preparing an archive to upload
:2012-03-13-12:26:09  You are going to upload 14 megabytes.Continue? YES
:2012-03-13-12:26:10  Uploading 14 megabytes
:2012-03-13-12:26:21  Uploading 3%
:2012-03-13-12:26:33  Uploading 7%
:2012-03-13-12:26:43  Uploading 9%
:2012-03-13-12:26:54  Uploading 12%
:2012-03-13-12:27:07  Uploading 14%
:2012-03-13-12:27:19  Uploading 18%
:2012-03-13-12:27:29  Uploading 21%
:2012-03-13-12:27:39  Uploading 23%
:2012-03-13-12:27:55  Uploading 27%
:2012-03-13-12:28:07  Uploading 31%
:2012-03-13-12:28:20  Uploading 34%
:2012-03-13-12:28:31  Uploading 36%
:2012-03-13-12:28:46  Uploading 40%
:2012-03-13-12:28:59  Uploading 44%
:2012-03-13-12:29:09  Uploading 46%
:2012-03-13-12:29:22  Uploading 49%
:2012-03-13-12:29:32  Uploading 52%
:2012-03-13-12:29:45  Uploading 55%
:2012-03-13-12:29:55  Uploading 58%
:2012-03-13-12:30:09  Uploading 61%
:2012-03-13-12:30:23  Uploading 64%
:2012-03-13-12:30:34  Uploading 68%
:2012-03-13-12:30:48  Uploading 70%
:2012-03-13-12:30:59  Uploading 74%
:2012-03-13-12:31:10  Uploading 77%
:2012-03-13-12:31:23  Uploading 78%
:2012-03-13-12:31:35  Uploading 83%
:2012-03-13-12:31:46  Uploading 83%
:2012-03-13-12:31:57  Uploading 88%
:2012-03-13-12:32:13  Uploading 90%
:2012-03-13-12:32:23  Uploading 95%
:2012-03-13-12:32:36  Uploading 97%
:2012-03-13-12:32:42  Upload successful
:2012-03-13-12:32:51  Retrace job started
:2012-03-13-12:33:03  Analyzing crash data
:2012-03-13-12:33:14  Analyzing crash data
:2012-03-13-12:33:25  Initializing virtual root
:2012-03-13-12:33:37  Initializing virtual root
:2012-03-13-12:33:48  Initializing virtual root
:2012-03-13-12:34:00  Initializing virtual root
:2012-03-13-12:34:11  Initializing virtual root
:2012-03-13-12:34:22  Initializing virtual root
:2012-03-13-12:34:34  Initializing virtual root
:2012-03-13-12:34:44  Initializing virtual root
:2012-03-13-12:34:56  Initializing virtual root
:2012-03-13-12:35:07  Initializing virtual root
:2012-03-13-12:35:21  Initializing virtual root
:2012-03-13-12:35:32  Initializing virtual root
:2012-03-13-12:35:43  Initializing virtual root
:2012-03-13-12:35:55  Initializing virtual root
:2012-03-13-12:36:05  Initializing virtual root
:2012-03-13-12:36:17  Initializing virtual root
:2012-03-13-12:36:27  Initializing virtual root
:2012-03-13-12:36:39  Initializing virtual root
:2012-03-13-12:36:50  Initializing virtual root
:2012-03-13-12:37:01  Initializing virtual root
:2012-03-13-12:37:13  Initializing virtual root
:2012-03-13-12:37:24  Initializing virtual root
:2012-03-13-12:37:35  Initializing virtual root
:2012-03-13-12:37:47  Generating backtrace
:2012-03-13-12:37:59  Retrace job finished successfully
:2012-03-13-12:45:16> Element 'xsession_errors' saved
:2012-03-13-12:45:17> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: e076a95d-297b-480e-8991-8057a5ddd5bb
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4190.84
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2100
:System Memory: 5882
:System Swap: 0
:Vendor: TOSHIBA
:System: SATELLITE C670-14P PSC3UE-00Y009EN
:Form factor: Laptop
:Kernel: 3.2.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4473:64630) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4473:64624) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4473:64630) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4473:64630) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4473:64630) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:4473:64630) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7200:4473:64628) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4473:64630) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33078:4473:64614) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4332:33142:4332:33154) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:(32902:7213:4473:64630) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4473:64630) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4473:64624) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4473:64630) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4473:64630) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 73012452 53108395 52377813 18276352 17706780 17706780
:
Comment 1 Terry Wallwork 2012-03-13 08:46:46 EDT
Created attachment 569662 [details]
File: dso_list
Comment 2 Terry Wallwork 2012-03-13 08:46:49 EDT
Created attachment 569663 [details]
File: xsession_errors
Comment 3 Terry Wallwork 2012-03-13 08:46:54 EDT
Created attachment 569664 [details]
File: maps
Comment 4 Terry Wallwork 2012-03-13 08:46:58 EDT
Created attachment 569665 [details]
File: backtrace
Comment 5 Ville-Pekka Vainio 2012-03-18 14:20:00 EDT
This seems like a bug in Python's SQLite code to me. I'll reassign this to the Python package in case one of the maintainers wants to take a look.
Comment 6 Dave Malcolm 2012-03-19 13:55:40 EDT
Thanks for filing this bug report.

How reproducible is this problem?   Are you able to run this code under valgrind?

Looking at the backtrace, it looks like you're running into this error:
  free(): corrupted unsorted chunks
deep within glibc's implementation of free() within thread 1 as called by sqlite3_free in frame 5.  It looks like the heap has become corrupted.

Looking at the constants in the backtrace, it was loading episodes for a channel when the abort occurred.
Comment 7 Fedora End Of Life 2013-01-16 08:18:55 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 09:03:39 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.